# 使用测试模块测试接口

让文档与测试一步搞定！

## 激活测试的条件
##### 当一篇文档中使用了 `“请求地址”`、`“请求类型”`、`“请求参数”` 三个字段作为 `h3标题` 并配套对应内容时，将激活接口测试功能  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-8a6d91f1.png)  
(详细书写格式请参照[通用API接口文档示例](?file=002-文档示范/001-通用API接口文档示例))  

##### 此时文档右上角将出现 `“接口测试”` 按钮，例如：  
![](https://amwiki.xf09.net/docs/assets/001.tiny/04-e412c7fd.png)

## 接口测试的工作原理与步骤
1. 当测试模块处于打开状态时，每次打开文档都会扫描文档转换 html 后的内容，满足三个 h3 时即开启测试功能
2. 开启当前文档测试功能后，即会从页面上 **抓取** 符合一定格式的测试内容
3. 格式化抓取的内容并生成可再次修改的表单
4. 用户点击发送请求时，先并入全局参数到当前参数列表，再发送请求
5. 收到请求结果，格式化显示

## 接口测试文档的格式要求

### 请求地址的格式
请求地址可以使用带 http 与不带 http 两种，下面两种写法都是合适的  

    /api/customer-flow
    http://localhost/api/customer-flow

注意，不带 http 将自动和当前域名拼合为完整绝对路径，而不是使用相对路径

### 请求类型的格式
amWiki 暂时只支持 **Get**、**Post**、**Put**、**Delete** 四种普通 ajax 请求，不支持文件上传和其他高级方式通讯

### 请求参数的格式
- 当接口不需要参数时，直接使用 **“无”** 即可  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-e030ca95.png)  
- 请求参数列表必须使用 **表格**，且必须按 `参数名`、`类型`、`必填`、`描述`、`默认值`、`参考值` 的栏目顺序建立表格，否则不能正常抓取。  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-5a7fda87.png)  
其中：
    - 默认值与参考值同属参数的值，但是优先显示默认值，只有当没有默认值时参考值才有效，参考值是为了方便测试之用
    - 参考值一栏可选，不写参考值的整个表格栏位，不会影响测试功能

## 测试功能应用

### 测试面板
抓取测试内容生成测试表单如下  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-c0d8d3cb.png)

### 全局参数面板
全局参数影响所有接口，在全局参数面板可以进行新增、删除全局参数以及临时启用/禁用全局参数等操作  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-c19f1829.png)

### 返回响应
成功的响应：  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-6f851b27.png)  
失败的响应：  
![](https://amwiki.xf09.net/docs/assets/001.tiny/06-bf211990.png)

## 测试模块的问题
- 测试模只能请求同域接口，不能跨域。 (跨域解决方案请参考[amWiki转接到任意域名进行接口测试](?file=001-学习amWiki/30-amWiki转接到任意域名进行接口测试))
- 如果接口需要登录权限，请先登录您自己的系统。  
